curl --request PUT \
--url https://api.hubapi.com/crm/v3/lists/{listId}/update-list-filters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filterBranch": {
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchType": "AND",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"operationType": "NUMBER",
"operator": "IS_GREATER_THAN_OR_EQUAL_TO",
"value": 12
},
"property": "hs_predictivecontactscore_v2"
},
{
"filterType": "PROPERTY",
"operation": {
"operationType": "ALL_PROPERTY",
"operator": "IS_UNKNOWN"
},
"property": "engagements_last_meeting_booked_source"
},
{
"acceptedStatuses": [
"OPT_IN"
],
"filterType": "EMAIL_SUBSCRIPTION",
"subscriptionIds": [
"81537745",
"321981152"
]
}
]
}
]
}
}
'{
"updatedList": {
"createdAt": "2023-11-15T20:11:50.293Z",
"createdById": "123",
"filterBranch": {
"filterBranchOperator": "OR",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "AND",
"filterBranchType": "AND",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "NUMBER",
"operator": "IS_GREATER_THAN_OR_EQUAL_TO",
"value": 12
},
"property": "hs_predictivecontactscore_v2"
},
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "ALL_PROPERTY",
"operator": "IS_UNKNOWN"
},
"property": "engagements_last_meeting_booked_source"
},
{
"acceptedStatuses": [
"OPT_IN"
],
"filterType": "EMAIL_SUBSCRIPTION",
"subscriptionIds": [
"321981152",
"81537745"
],
"subscriptionType": "SUBSCRIPTION"
}
]
}
]
},
"filtersUpdatedAt": "2023-11-15T23:50:12.690Z",
"listId": "1",
"listVersion": 2,
"name": "Zero Size Test",
"objectTypeId": "0-1",
"processingStatus": "PROCESSING",
"processingType": "DYNAMIC",
"updatedAt": "2023-11-15T23:50:12.771Z",
"updatedById": "123"
}
}Mettez à jour la définition de la branche de filtre pour une liste « DYNAMIQUE ». Après la mise à jour, les adhésions à la liste seront réévaluées et ajustées pour correspondre à la nouvelle définition.
curl --request PUT \
--url https://api.hubapi.com/crm/v3/lists/{listId}/update-list-filters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filterBranch": {
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchType": "AND",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"operationType": "NUMBER",
"operator": "IS_GREATER_THAN_OR_EQUAL_TO",
"value": 12
},
"property": "hs_predictivecontactscore_v2"
},
{
"filterType": "PROPERTY",
"operation": {
"operationType": "ALL_PROPERTY",
"operator": "IS_UNKNOWN"
},
"property": "engagements_last_meeting_booked_source"
},
{
"acceptedStatuses": [
"OPT_IN"
],
"filterType": "EMAIL_SUBSCRIPTION",
"subscriptionIds": [
"81537745",
"321981152"
]
}
]
}
]
}
}
'{
"updatedList": {
"createdAt": "2023-11-15T20:11:50.293Z",
"createdById": "123",
"filterBranch": {
"filterBranchOperator": "OR",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "AND",
"filterBranchType": "AND",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "NUMBER",
"operator": "IS_GREATER_THAN_OR_EQUAL_TO",
"value": 12
},
"property": "hs_predictivecontactscore_v2"
},
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "ALL_PROPERTY",
"operator": "IS_UNKNOWN"
},
"property": "engagements_last_meeting_booked_source"
},
{
"acceptedStatuses": [
"OPT_IN"
],
"filterType": "EMAIL_SUBSCRIPTION",
"subscriptionIds": [
"321981152",
"81537745"
],
"subscriptionType": "SUBSCRIPTION"
}
]
}
]
},
"filtersUpdatedAt": "2023-11-15T23:50:12.690Z",
"listId": "1",
"listVersion": 2,
"name": "Zero Size Test",
"objectTypeId": "0-1",
"processingStatus": "PROCESSING",
"processingType": "DYNAMIC",
"updatedAt": "2023-11-15T23:50:12.771Z",
"updatedById": "123"
}
}Produits pris en charge
Portées requises
cms.membership.access_groups.writecrm.lists.readcrm.lists.writeThe access token received from the authorization server in the OAuth 2.0 flow.
L'ID ILS de la liste à mettre à jour.
Un indicateur indiquant si les adhésions ajoutées à la liste en raison du changement de filtre doivent être inscrites dans les workflows pertinents pour cette liste.
The definition of the list filter branch update request.
Critères de filtrage mis à jour pour la liste
Show child attributes
Successful response
The updated definition of the list in response to a list update request.
An object list definition.
Show child attributes